<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of aCfg
 *
 * @author assist
 */
class aCfg {
  private $cDir = "" ;
  private $cFile = "" ;
  public $vaConfig ;  

  function __construct() {    
    $this->cDir = $_SERVER['DOCUMENT_ROOT'] . "/data" ;
    $this->cFile = $this->cDir . "/config.ini" ;    
    if(!is_dir($this->cDir)){
      mkdir($this->cDir) ;
    }
    // Check Kalau belum ada config.ini copy dari config-std.ini
    $cStdConfig = $this->cDir . "/config-std.ini" ;
    if(!is_file($this->cFile) && is_file($cStdConfig)){
      copy($cStdConfig,$this->cFile) ;
    }
    $this->getValue() ;
  }

  public function getValue(){
    if(is_file($this->cFile)){
      $data = file($this->cFile) ;
      foreach($data as $value){
        $value = trim($value) ;
        $cTag = "" ;
        $cValue = "" ;
        if(substr($value,0,1) <> "#"){
          $va = explode("=",$value) ;
          if(count($va) >= 2){
            $cTag = trim($va [0]) ;
            $cValue = trim($va [1]) ;
          }
        }
        $this->vaConfig[$cTag] = $cValue ;
      }
      
      if(!isset($this->vaConfig["PCID"]) || empty($this->vaConfig["PCID"])){
        $this->vaConfig["PCID"] = md5(rand(100000,999999) . "-" . time() . "-" . microtime() . "-" . rand(111111,999999)) ;
        $this->Save() ;
      }
    }
  }


  public function get($cKey,$cDefault = ""){
    if($this->vaConfig == null) return $cDefault;
    if(array_key_exists($cKey,$this->vaConfig)){
      return $this->vaConfig[$cKey];
    }
    return $cDefault;
  }

  public function set($cKey,$cValue){
    $this->vaConfig[$cKey] = $cValue;
    if($cKey == "IsCekVPNBusy"){
      $this->vaConfig["LastDateBusy"] = time();
    }
    $this->Save();
  }
  public function gttt(){
    return $this->cDir;
  }

  public function Save(){
    if(is_file($this->cFile)) unlink($this->cFile) ;
    $fp = fopen($this->cFile, "w");
    foreach($this->vaConfig as $key=>$value){
      fwrite($fp,"$key=$value\n") ;
    }
    fclose($fp);
  }
}
