#!/usr/bin/php
<?php
  $vaPath = pathinfo(__FILE__) ;
  define("__APP_HOME_DIRECTORY__", $vaPath["dirname"]) ;
  
  $cDirUpdater = __APP_HOME_DIRECTORY__ . "/updater" ;
  require_once __APP_HOME_DIRECTORY__ . "/init.php" ;
  
  if(!is_dir($cDirUpdater)) mkdir($cDirUpdater) ;
  
  $cVersion = __APP_VERSION__;   
  $cURL = "http://deb.assistindo.id/assist-vpn/assist-vpn.ver" ;
  
  if($cVersion <> ""){
    $cNewVersion = curl_get($cURL) ;
    $va = explode("=",$cNewVersion) ;
    if(count($va) >= 2){
      if(strtolower($va [0]) == "version"){
        $cNewVersion = trim($va [1]) ;
      }
    }
    
    if($cNewVersion <> ""){
      if(version_compare($cVersion, $cNewVersion,"<")){
        echo("new version available ....\n") ;
        DownloadsFile($cDirUpdater,$cNewVersion) ;
      }else{
        echo("version is uptodate....\n") ;
      }
    }
  }else{
    echo("no version detect.....\n") ;
  }

function DownloadsFile($cDirUpdater,$cNewVersion){
  $cProjectName = "assist-vpn" ;
  $cDir         = "assist-vpn";
  $cDirUpdater .= "/$cProjectName-$cNewVersion-" . date("YmdHis") ;
  if(!is_dir($cDirUpdater)) mkdir ($cDirUpdater) ;
  $cZipDir = $cDirUpdater . "/src" ;
  if(!is_dir($cZipDir)) mkdir ($cZipDir) ;
  
  $cNewMD5 = "" ;
  $vaNewMD5 = curl_get("http://deb.assistindo.id/assist-vpn/$cProjectName.md5") ;
  $vaNewMD5 = explode("\n", $vaNewMD5) ;
  foreach($vaNewMD5 as $value){
    $vaValue = explode(" ",$value) ;
    if(count($vaValue) >= 2){
      if($vaValue [1] == "$cProjectName.zip"){
        $cNewMD5 = $vaValue [0] ;
      }
    }
  }  

  $cZipFile = "$cDirUpdater/$cProjectName.zip" ;  
  file_put_contents($cZipFile, file_get_contents("http://deb.assistindo.id/assist-vpn/$cProjectName.zip"));
  if(is_file($cZipFile)){
    $cMD5 = md5_file($cZipFile) ;
    echo $cMD5 ;
  //   if($cNewMD5 == $cMD5){
  //     echo("Installing File ...\n") ;      
  //     exec("killall mysql-check.php > /dev/null &") ;
      
  //     $zip = new ZipArchive;
  //     if ($zip->open($cZipFile) === TRUE) {
  //         $zip->extractTo($cZipDir);
  //         $zip->close();          
          
  //         $vaCopy = array("usr/bin","usr/lib/$cProjectName") ;
  //         foreach($vaCopy as $value){
  //           cpDir($value,$cZipDir) ;
  //         }

  //         $vaExecFile = array("/etc/init.d/assist-vpn",
  //                             "/usr/bin/assist-vpn.php",
  //                             "/usr/lib/$cProjectName/mysql-check.php",
  //                             "/usr/lib/$cProjectName/updater.php",
  //                             "/usr/lib/$cProjectName/reconfig.php") ;
  //         foreach($vaExecFile as $value){
  //           if(is_file("/$value")){
  //             chmod("/$value",0755) ;
  //           }
  //         }          
  //         echo "Update Finish\n";
  //         exec("/etc/init.d/assist-vpn restart");
  //     } else {
  //         echo "failed\n";
  //     }
  //   }
  // }
}

function cpDir($cDir,$cZipDir){
  $files = scandir("$cZipDir/$cDir");
	foreach($files as $key=>$value){
		if(is_dir("$cZipDir/$cDir/$value") && $value <> "." && $value <> ".."){
			cpDir("$cDir/$value",$cZipDir) ;
		}else if(is_file("$cZipDir/$cDir/$value")){
      if(!is_dir("/$cDir")) mkdir("/$cDir") ;
      if(is_dir("/$cDir")){
        $cSourceFile = "$cZipDir/$cDir/$value" ;
        $cTargetFile = "/$cDir/$value" ;
        
        $cSourceMD5 = md5_file($cSourceFile) ;
        $cTargetMD5 = "" ;
        if(is_file($cTargetFile)){
          $cTargetMD5 = md5_file($cTargetFile) ;
        }
        
        if($cSourceMD5 <> $cTargetMD5){
          echo("Replace File $cTargetFile\n") ;
          copy($cSourceFile,$cTargetFile ) ;
        }
      }
		}
	}
}

function curl_get($url){
  // Client
  $ch = curl_init($url);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
  curl_setopt($ch, CURLOPT_NOSIGNAL, 1);  
  curl_setopt($ch, CURLOPT_TIMEOUT_MS, 30000);
  $data = curl_exec($ch);
  $curl_errno = curl_errno($ch);
  $curl_error = curl_error($ch);    
  curl_close($ch);    

  if ($curl_errno > 0) {
    echo($curl_error . "\n") ;      
    $data = "" ;      
  }

  return $data ;
} 